version: "3"
services:
   rabbit:
    environment:
      - TCP_PORTS=15672, 5672
      - AUTOCLUSTER_TYPE=consul
      - AUTOCLUSTER_DELAY=60
      - CONSUL_HOST=consul
      - CONSUL_SVC_ADDR_AUTO=true
      - AUTOCLUSTER_CLEANUP=true
      - CLEANUP_WARN_ONLY=false
      - CONSUL_DEREGISTER_AFTER=60 
    networks:
      - back
    ports:
      - 15672:15672
    image: pivotalrabbitmq/rabbitmq-autocluster
    tty: true
    command:  sh -c "sleep 20; rabbitmq-server;" 
    
   haproxy:
    image: dockercloud/haproxy
    environment:
      - MODE=tcp
#    volumes:
#      - /var/run/docker.sock:/var/run/docker.sock
    networks:
      - back
      
   consul:
    image: "consul"
    hostname: "consul"
    networks:
      - back
      
networks:
  back:
